// TextPanel.cpp : implementation file
//

#include "stdafx.h"
#include "pixelwhippro.h"
#include "TextPanel.h"


/////////////////////////////////////////////////////////////////////////////
// CTextPanel dialog


CTextPanel::CTextPanel(CWnd* pParent /*=NULL*/)
	: CDynaPanel(CTextPanel::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTextPanel)
	m_Text = _T("");
	//}}AFX_DATA_INIT
}


void CTextPanel::DoDataExchange(CDataExchange* pDX)
{
	CDynaPanel::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTextPanel)
	DDX_Text(pDX, IDC_TEXT, m_Text);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTextPanel, CDynaPanel)
	//{{AFX_MSG_MAP(CTextPanel)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTextPanel message handlers

void CTextPanel::OnCancel() 
{
}

void CTextPanel::OnOK() 
{
}

void CTextPanel::Set(void *dat)
{
m_Text=CString((char *)dat);

}
